Loading...
Searching...
No Matches
OgreOptimisedUtil.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreEdgeListBuilder.h"`
`#include <cstddef>`

## Classes

class | Ogre::OptimisedUtil
| Utility class for provides optimised functions. More...

## Namespaces

namespace | Ogre

## Functions

template<class T>
static void | Ogre::advanceRawPointer (const T *&ptr, ptrdiff_t offset)
| Advance the pointer with raw offset.
template<class T>
static void | Ogre::advanceRawPointer (T *&ptr, ptrdiff_t offset)
template<class T>
static const T * | Ogre::rawOffsetPointer (const T *ptr, ptrdiff_t offset)
| Returns raw offsetted of the given pointer.
template<class T>
static T * | Ogre::rawOffsetPointer (T *ptr, ptrdiff_t offset)